List roles for the given site

Permission Level: Read

GET /users/site/roles

Operation id: SiteService_ListSiteRoles

Tags: SiteService

Parameters

Query parameters

NameTypeRequiredDescription
siteNamestringNoName of the site. Required: true
tenantIdstringNoTenant of the site. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
rolesarrayNo
inheritedRolesarrayNo
{
  "type": "object",
  "properties": {
    "roles": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "scope": {
            "type": "string",
            "description": "Some more general scoping for the data (like a particular app in the domain)."
          },
          "roleId": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "description": "Role description."
          }
        }
      }
    },
    "inheritedRoles": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "scope": {
            "type": "string",
            "description": "Some more general scoping for the data (like a particular app in the domain)."
          },
          "roleId": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "description": "Role description."
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}